SuperLU 6.0.0

Functions
heap_relax_snode.c File Reference

Identify the initial relaxed supernodes. More...

`#include "slu_ddefs.h"`
Include dependency graph for heap_relax_snode.c:

## Functions
void | heap_relax_snode (const int n, int *et, const int relax_columns, int *descendants, int *relax_end)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 3.0) --
    Univ. of California Berkeley, Xerox Palo Alto Research Center,
    and Lawrence Berkeley National Lab.
    October 15, 2003

    Copyright (c) 1994 by Xerox Corporation.  All rights reserved.

    THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY
    EXPRESSED OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.

    Permission is hereby granted to use or copy this program for any
    purpose, provided the above notices are retained on all copies.
    Permission to modify the code and to distribute modified code is
    granted, provided the above notices are retained, and a notice that
    the code was modified is included with the above copyright notice.

## Function Documentation

## ◆ heap_relax_snode()

void heap_relax_snode | ( | const int | n,
|  | int * | et,
|  | const int | relax_columns,
|  | int * | descendants,
|  | int * | relax_end
| ) |  |

    Purpose
    =======
       relax_snode() - Identify the initial relaxed supernodes, assuming that
       the matrix has been reordered according to the postorder of the etree.

Here is the call graph for this function: